Skip to main content
`Ctrl`+`K`

# PetscLogHandlerEventBegin

Record the beginning of an event in a log handler

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogHandlerEventBegin(PetscLogHandler h, PetscLogEvent e, PetscObject o1, PetscObject o2, PetscObject o3, PetscObject o4)

Not collective

## Input Parameters

- h - the `PetscLogHandler`

- e - a registered `PetscLogEvent`

- o1 - `PetscObject` associated with the event (may be `NULL`)

- o2 - `PetscObject` associated with the event (may be `NULL`)

- o3 - `PetscObject` associated with the event (may be `NULL`)

- o4 - `PetscObject` associated with the event (may be `NULL`)

## Note

Most users will use `PetscLogEventBegin()`, which will call this function for all handlers registered with `PetscLogHandlerStart()`

## See Also

Profiling, `PetscLogHandler`, `PetscLogEventBegin()`, `PetscLogEventEnd()`, `PetscLogEventSync()`, `PetscLogHandlerEventEnd()`, `PetscLogHandlerEventSync()`

## Level

developer

## Location

src/sys/logging/handler/interface/loghandler.c

## Implementations

PetscLogHandlerEventBegin_Default() in src/sys/logging/handler/impls/default/logdefault.c
PetscLogHandlerEventBegin_Legacy() in src/sys/logging/handler/impls/legacy/loglegacy.c
PetscLogHandlerEventBegin_MPE() in src/sys/logging/handler/impls/mpe/logmpe.c
PetscLogHandlerEventBegin_Nested() in src/sys/logging/handler/impls/nested/lognested.c
PetscLogHandlerEventBegin_NVTX() in src/sys/logging/handler/impls/nvtx/lognvtx.c
PetscLogHandlerEventBegin_Perfstubs() in src/sys/logging/handler/impls/perfstubs/logperfstubs.c
PetscLogHandlerEventBegin_ROCTX() in src/sys/logging/handler/impls/roctx/logroctx.c
PetscLogHandlerEventBegin_ROCTX() in src/sys/logging/handler/impls/roctx/logroctx.c
PetscLogHandlerEventBegin_Trace() in src/sys/logging/handler/impls/trace/logtrace.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages